- @page_title = t('.title')

= render 'layouts/page_actions', new_url: new_admin_resource_interactions_group_path,
                                 new_caption:  t('.new')

- if @resource_interactions_groups.empty?
  .rui-empty= t('.no_content')
- else
  %table
    %caption.-sr-only= t('.table_caption')
    %thead
      %tr
        %th.-text--monospace.-text--right{ scope: 'col' }= t('generic.id')
        %th.-text--monospace.-text--right{ scope: 'col' }= t('activerecord.attributes.genus.sync_id')
        %th{ scope: 'col' }= t('activerecord.attributes.resource_interactions_group.name')
        %th{ scope: 'col' }= t('activerecord.attributes.resource_interactions_group.description')
        %th{ scope: 'col' }

    %tbody
      - @resource_interactions_groups.each do |resource_interactions_group|
        %tr
          %td.-text--monospace.-text--right= resource_interactions_group.id
          %td.-text--monospace.-text--right= resource_interactions_group.sync_id.presence || '-'
          %td= link_to resource_interactions_group.name,
                        admin_resource_interactions_group_path(resource_interactions_group)
          %td= resource_interactions_group.description
          %td.-actions
            -# haml-lint:disable LineLength
            = render 'layouts/entity_actions', edit_url: edit_admin_resource_interactions_group_path(resource_interactions_group),
                                               destroy_url: admin_resource_interactions_group_path(resource_interactions_group)
            -# haml-lint:enable LineLength
